# Uses of Interface
org.eclipse.rap.fileupload.FileDetails

Packages that use FileDetails
Package
Description
org.eclipse.rap.fileupload

## Uses of FileDetails in org.eclipse.rap.fileupload

Methods in org.eclipse.rap.fileupload that return FileDetails
Modifier and Type
Method
Description
`abstract FileDetails[]`
FileUploadEvent.`getFileDetails()`
Array with details about successfully uploaded files.
Methods in org.eclipse.rap.fileupload with parameters of type FileDetails
Modifier and Type
Method
Description
`protected File`
DiskFileUploadReceiver.`createContentTypeFile(File uploadedFile, FileDetails details)`
Creates a file to save the content-type.
`protected File`
DiskFileUploadReceiver.`createTargetFile(FileDetails details)`
Creates a file to save the received data to.
`void`
DiskFileUploadReceiver.`receive(InputStream dataStream, FileDetails details)`
`abstract void`
FileUploadReceiver.`receive(InputStream stream, FileDetails details)`
Reads and processes all data from the provided input stream.